Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154798 - /etc/init.d/snmptrapd wrong order in setting variables...
Summary: /etc/init.d/snmptrapd wrong order in setting variables...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: net-snmp
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Radek Vokal
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 156322
TreeView+ depends on / blocked
 
Reported: 2005-04-14 09:22 UTC by Hans-Gerd van Schelve
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHSA-2005-395
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-05 12:38:59 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:395 qe-ready SHIPPED_LIVE Low: net-snmp security update 2005-10-05 04:00:00 UTC

Description Hans-Gerd van Schelve 2005-04-14 09:22:16 UTC
This is an snap of the original initscript:
--------->>>>---------------
# source function library
. /etc/init.d/functions

[ -e /etc/snmp/snmptrapd.options ] && . /etc/snmp/snmptrapd.options

OPTIONS="-Lsd -p /var/run/snmptrapd.pid"
RETVAL=0
prog="snmptrapd"
---------<<<<---------------

It shoud be like this:

--------->>>>---------------
# source function library
. /etc/init.d/functions

if [ -e /etc/snmp/snmptrapd.options ]; then
  . /etc/snmp/snmptrapd.options
else
   OPTIONS="-Lsd -p /var/run/snmptrapd.pid"
fi
RETVAL=0
prog="snmptrapd"
---------<<<<---------------

Otherwise settings in snmptrapd.options will not take affect.

Comment 1 Radek Vokal 2005-04-19 13:42:05 UTC
Well, true. I'm including it into next net-snmp update .. 

Comment 4 Red Hat Bugzilla 2005-10-05 12:38:59 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-395.html



Note You need to log in before you can comment on or make changes to this bug.